Update attribute values of a recipient
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/{recipientId}
clientIdinteger<int64>Client ID
recipientIdstring<p>Recipient ID (usually the email address)</p>
recipientListIdinteger<int64>Recipient list ID
acceptstringGenerated from available response content types
datastring<p>Recipient data. Configure "data.[attribute]" according to the corresponding recipient list field.Does not work with the "Try it out" feature.</p>
modestring<set | prepend | append><p>Mode for adding parameters to fields of type "String"Available values: set (to overwrite existing), prepend (to place before existing), append (to place after existing)</p>
200The recipient's attributes were updated successfully.
409The indicated recipient list is not assigned to the indicated client. Ensure that "clientId" and "recipientListId" are correct and that the "recipientListId" is assigned to the indicated client.
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/{recipientId} \
--header 'accept: application/json'